# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::radian Class Reference

Simple class representing quantities in radians, converts automatically to vl::degree and real. More...

`#include <std_types.hpp>`

List of all members.

## Public Member Functions

| radian (real val)
| operator real ()
| operator degree ()

## Detailed Description

Simple class representing quantities in radians, converts automatically to vl::degree and real.

Definition at line 80 of file std_types.hpp.

## Constructor & Destructor Documentation

vl::radian::radian | ( | real | val ) | `[inline]`

Definition at line 83 of file std_types.hpp.

## Member Function Documentation

vl::radian::operator real | ( | ) | `[inline]`

Definition at line 84 of file std_types.hpp.

vl::radian::operator degree | ( | ) | `[inline]`

Definition at line 103 of file std_types.hpp.

References vl::dRAD_TO_DEG.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/std_types.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:15.
Permission is granted to use this page to write and publish articles regarding Visualization Library.